Skip to main content
GET
/
v4
/
broadcasts
List broadcasts
curl --request GET \
  --url https://api.kit.com/v4/broadcasts \
  --header 'X-Kit-Api-Key: <api-key>'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/broadcasts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
const options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};

fetch('https://api.kit.com/v4/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/broadcasts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Kit-Api-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/broadcasts"

headers = {"X-Kit-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "broadcasts": [
    {
      "id": 3,
      "publication_id": 3,
      "created_at": "2023-02-17T11:43:55Z",
      "subject": "Campaign subject 3",
      "preview_text": null,
      "description": null,
      "public": false,
      "published_at": null,
      "send_at": null,
      "status": "draft",
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "content": null,
      "public_url": null,
      "email_address": "greetings@kit.dev",
      "email_template": {
        "id": 6,
        "name": "Text Only"
      },
      "subscriber_filter": [
        {
          "all": [
            {
              "type": "all_subscribers"
            }
          ]
        }
      ]
    },
    {
      "id": 2,
      "publication_id": 2,
      "created_at": "2023-02-17T11:43:55Z",
      "subject": "Campaign subject 2",
      "preview_text": null,
      "description": null,
      "public": false,
      "published_at": null,
      "send_at": null,
      "status": "draft",
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "content": null,
      "public_url": null,
      "email_address": "greetings@kit.dev",
      "email_template": {
        "id": 6,
        "name": "Text Only"
      },
      "subscriber_filter": [
        {
          "all": [
            {
              "type": "all_subscribers"
            }
          ]
        }
      ]
    },
    {
      "id": 1,
      "publication_id": 1,
      "created_at": "2023-02-17T11:43:55Z",
      "subject": "Campaign subject 1",
      "preview_text": null,
      "description": null,
      "public": false,
      "published_at": null,
      "send_at": null,
      "status": "draft",
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "content": null,
      "public_url": null,
      "email_address": "greetings@kit.dev",
      "email_template": {
        "id": 6,
        "name": "Text Only"
      },
      "subscriber_filter": [
        {
          "all": [
            {
              "type": "all_subscribers"
            }
          ]
        }
      ]
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WzNd",
    "end_cursor": "WzFd",
    "per_page": 500
  }
}
{
"errors": [
"The access token is invalid"
]
}

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

sent_after
any | null

Get broadcasts sent after this date (format yyyy-mm-dd).

sent_before
any | null

Get broadcasts sent before this date (format yyyy-mm-dd).

slim
boolean

When true, omits expensive optional fields from the response. Produces a faster, smaller response — useful when extra fields are not needed.

status
enum<string>

Filter broadcasts by lifecycle status. One of: draft, scheduled, sending, completed, aborted.

Available options:
draft,
scheduled,
sending,
completed,
aborted

Response

Returns a paginated list of all broadcasts for your account (including draft, scheduled, and already sent)

broadcasts
object[]
required
pagination
object
required